Index: Dev/trunk/classes/Loader.php
===================================================================
--- Dev/trunk/classes/Loader.php	(revision 113)
+++ Dev/trunk/classes/Loader.php	(revision 114)
@@ -61,6 +61,10 @@
         foreach ($questionCodesAndTitles as $code => $title) {
             $info = $questionDBI->getQuestionInfo($code);
+            $question = Question::getQuestion($code, $info);
             
+            array_push($questions, $question);
         }
+        
+        return $questions;
     }
 
Index: Dev/trunk/classes/Question.php
===================================================================
--- Dev/trunk/classes/Question.php	(revision 113)
+++ Dev/trunk/classes/Question.php	(revision 114)
@@ -19,5 +19,5 @@
     public $category;
     
-    public function __construct($code, $title, $type = null, $description = null)
+    public function __construct($code, $title = null, $type = null, $description = null)
     {
         $this->code = $code;
@@ -34,7 +34,21 @@
     }
     
-    public static function getQuestion($questionInfo)
+    public static function getQuestion($code, $info)
     {
+        $question = new Question($code);
+        $question->title = $info['questionTitle'];
+        $question->type = $info['questionType'];
+        if(isset($info['questionDescription']))
+            $question->description = $info['questionDescription'];
+        $question->category = $info['questionCategory'];
         
+        $i = 1;
+        while (isset($info['ans' . $i]))
+        {
+            array_push($question->answers, $info['ans' . $i]);
+            $i++;
+        }
+        
+        return $question;
     }
 
Index: Dev/trunk/classes/QuestionCreationTool.php
===================================================================
--- Dev/trunk/classes/QuestionCreationTool.php	(revision 113)
+++ Dev/trunk/classes/QuestionCreationTool.php	(revision 114)
@@ -7,9 +7,9 @@
  */
 class QuestionCreationTool {
-
-    private $list;
+    private $questions;
     private $questionEditPanel;
 
-    public function __construct() {
+    public function __construct($questions) {
+        $this->questions = $questions;
         $this->javascript();
         $this->displayList();
@@ -295,4 +295,5 @@
                 var typeSelect = document.getElementById("questionTypeSelect");
                 typeSelect.selectedIndex = 0;
+                clearSpecifications();
             }
             
@@ -305,4 +306,5 @@
         <div id="questionListWrapper">
             <select id="questionsList" size="9999">
+                <?php $this->populateList(); ?>
             </select>
         </div>
@@ -326,5 +328,5 @@
                     <td id="categoryBox"><!-- Select should be filled with existing categories-->
                         <select id="questionCategorySelect" name="questionCategory">
-                            <option value='Test Category'>Test Category</option>
+                            <option value='Uncategorized' selected='selected'>Uncategorized</option>
                         </select>
                         <!-- New category button -->
@@ -363,4 +365,16 @@
         <?php
     }
+    
+    private function populateList()
+    {
+        foreach ($this->questions as $question)
+        {
+            ?>
+        <option value="<?php echo $question->code; ?>">
+        <?php echo $question->code . " - " . $question->title; ?>
+        </option>
+        <?php
+        }
+    }
 
 }
Index: Dev/trunk/questioncreation.php
===================================================================
--- Dev/trunk/questioncreation.php	(revision 113)
+++ Dev/trunk/questioncreation.php	(revision 114)
@@ -1,20 +1,13 @@
 <?php
 require 'classes/master.php';
-
+$questionDBI = new QuestionCreationDatabaseInterface();
 /* If a question is saved */
 if(isset($_POST['questionCode']))
 {
-    $questionDBI = new QuestionCreationDatabaseInterface();
     echo $questionDBI->setQuestionInfo($_POST); // save to DB
 }
 
-$questions = Loader::loadQuestions();
+$questions = Loader::loadFullQuestions();
 var_dump($questions);
-
-//$dbi = new QuestionCreationDatabaseInterface();
-//$info = $dbi->getQuestionInfo("testcode1");
-
-//var_dump($info);
-
 ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"