Index: /Dev/branches/jos-branch/classes/Answer.php
===================================================================
--- /Dev/branches/jos-branch/classes/Answer.php	(revision 141)
+++ /Dev/branches/jos-branch/classes/Answer.php	(revision 141)
@@ -0,0 +1,29 @@
+<?php
+
+/**
+ * Description of Answer
+ *
+ * @author jkraaijeveld
+ */
+class Answer extends ResearchToolObject {
+    public $question;
+    public $values;
+    
+    /**
+     * Constructor for an Answer object
+     * @param type $uid
+     * @param type $question
+     * @param type $values 
+     */
+    public function __construct($uid = null, $question = null, $values = null) {
+      if(!isset($uid))
+      {
+            $uid = md5(uniqid(rand(), true));
+      }
+      $this->uid = $uid;
+      $this->question = $question;
+      $this->values = $values;
+    }
+}
+
+?>
Index: /Dev/branches/jos-branch/classes/AnswerConnector.php
===================================================================
--- /Dev/branches/jos-branch/classes/AnswerConnector.php	(revision 141)
+++ /Dev/branches/jos-branch/classes/AnswerConnector.php	(revision 141)
@@ -0,0 +1,61 @@
+<?php
+// Survey database interface class as intermediate for storing data from the site to the RDF database 
+require_once 'rdfConstants.php';
+// Include RAP Library to write RDF files
+include(RDFAPI_INCLUDE_DIR . "RDFAPI.php");
+
+/**
+ * Description of AnswerConnector
+ *
+ * @author jkraaijeveld
+ */
+class AnswerConnector implements IConnector{
+    protected $model;
+    protected $fileName = 'data/users/users.rdf';
+    
+    /**
+     * Constructor for AnswerConnector
+     */
+    public function __construct() {
+        //Ensure the required folder for this connector exists
+        if (!is_dir('data/answers/'))
+            mkdir('data/answers/');
+    }
+    
+    /**
+     * function load()
+     * Loads the file into the standard MemModel.
+     */
+    public function load() {
+        //Get the Memory Model from the ModelFactory
+        $this->model = ModelFactory::getDefaultModel();
+        
+        //Ensure the required file exists before loading
+        if(file_exists($this->fileName))
+            $this->model->load($this->fileName);
+    }
+    
+    /**
+     * function save()
+     * Saves the MemModel into the given file.
+     */
+    public function save() {
+        $this->model->saveAs($this->fileName,'rdf'); 
+    }
+    
+    public function get($arguments)
+    {
+        
+    }
+    
+    /**
+     *
+     * @param type $rToolObject
+     */
+    public function set($rToolObject)
+    {
+        
+    }
+}
+
+?>
Index: /Dev/branches/jos-branch/classes/DatabaseInterface.php
===================================================================
--- /Dev/branches/jos-branch/classes/DatabaseInterface.php	(revision 140)
+++ /Dev/branches/jos-branch/classes/DatabaseInterface.php	(revision 141)
@@ -22,4 +22,5 @@
     private $surveyConnector;
     private $respondentConnector;
+    private $answerConnector;
     
     /**
@@ -33,4 +34,5 @@
         $this->surveyConnector = new SurveyConnector();
         $this->respondentConnector = new RespondentConnector();
+        $this->answerConnector = new AnswerConnector();
     }
     
@@ -56,6 +58,12 @@
             case "survey":
                 return $this->surveyConnector->get($arguments);
+                break;
             case "respondent":
                 return $this->respondentConnector->get($arguments);
+                break;
+            case "answer":
+                return $this->answerConnector->get($arguments);
+                break;
+               
         }
     }
@@ -82,4 +90,6 @@
             case "Respondent":
                 $this->respondentConnector->set($rToolObject);
+            case "Answer":
+                $this->answerConnector->set($rToolObject);
         }
     }
Index: /Dev/branches/jos-branch/classes/Respondent.php
===================================================================
--- /Dev/branches/jos-branch/classes/Respondent.php	(revision 140)
+++ /Dev/branches/jos-branch/classes/Respondent.php	(revision 141)
@@ -10,4 +10,10 @@
    public $password;
    
+   /**
+    * Constructor for a Respondent object
+    * @param type $uid
+    * @param type $name
+    * @param type $password 
+    */
    public function __construct($uid = null, $name = null, $password = null) {
       if(!isset($uid))